#!/usr/bin/env php-cgi
<?php
//$elapsed = time();

// Course
$course = posix_getpwuid(posix_getuid());
$course = $course['name'];





// List the ISC, tutors, and instructors here:
$staff = array("kaanders", "yc2lee");
// List the solution files here:
$solution_files
= array("demosolns1" => "/u/$course/SolutionsRequest/demosolns1.png",
	"demosolns2" => "/u/$course/SolutionsRequest/demosolns2.png",
	"demosolns3" => "/u/$course/SolutionsRequest/demosolns3.png");






//////////////////////////////////////////////////////
// You don't need to edit anything below this line.

// students Quest ID - staff can use any ID
$userid =  $_SERVER['REMOTE_USER'];

// @@@ CHECK IF SOLUTIONS EXIST
$assn = $_GET['assn'];
if(! array_key_exists($assn, $solution_files))
{ echo "Sorry, requested solutions do not exist."; die; }


// @@@ CHECK COURSE ENROLLMENT
$authorized = in_array($userid, $staff);

if(strlen($userid) < 8) { $colon = ":"; }
else { $colon = ""; }

if(exec("grep :" . $userid . $colon . " /u/$course/.classlist") != "") // check .classlist
{ $authorized = True; }
elseif(exec('grep -e \':' . $userid . "$' /u/$course/.exceptions") != "") // check .exceptions
{ $authorized = True; }
elseif ($authorized && isset($_GET['u'])) // allow staff to use any watermark text they want
{ $userid = $_GET['u']; }

if(! $authorized )
{ echo "Sorry, you must be registered in $course to view solutions.<br/>If you <i>are</i> registered and you don't think you should see this error, email $course@student.cs.uwaterloo.ca"; die; }



/*
    @@@
    @@@ USER IS AUTHORIZED... GENERATE SOLUTIONS USING $userid
    @@@
*/


// Tell the student's browser we are sending a PNG file
header('Content-Disposition: inline; filename='. $assn  .'_solns.png');
header("Content-type: image/png");

// Load the solutions
$soln = imagecreatefrompng($solution_files[$assn]);

// CREATING WATERMARK TEXT LAYER
// get some measurements first...
$gap = 90;
$font = "/u/$course/SolutionsRequest/arialbd.ttf";
$bounding_box = imageftbbox(100, 45, $font, $userid);
$text_square = $gap + $bounding_box[1] - $bounding_box[5];
// create the text layer
$id = imagecreatetruecolor($text_square,$text_square);
$fg = imagecolorallocate($id, 255, 255, 255);
imagefttext($id, 100, 45, 73, $text_square - $gap, imagecolorallocate($soln, 38,38,128), $font, $userid);
imagefttext($id, 100, 45, 70, $text_square - $gap, $fg, $font, $userid);
imagecolortransparent($id, $fg);

// overlay text layer onto gradient
$id_grad = imagecreatefrompng("/u/$course/SolutionsRequest/gradient.png");
imagecopy($id_grad, $id, 0, 0, 0, 0, $text_square, $text_square);
imagecolortransparent($id_grad, imagecolorallocate($id_grad,0,0,0));
imagedestroy($id);

// overlay gradient onto assignment solution
for($i = 0; $i < imagesy($soln) / $text_square; $i++)
{ imagecopy($soln, $id_grad, 0, $i*$text_square, 0, 0, $text_square, $text_square); }

//$elapsed = time() - $elapsed;
//imagefttext($soln, 100, 45, 50, $text_square - $gap, imagecolorallocate($soln,0,0,0), $font, $elapsed);

// Output the image
imagepng($soln);

// Destroy the resources we used
imagedestroy($id_grad); 
imagedestroy($soln);

// Record an entry to the log file
$entry = date('Y-m-d H:i:s') . ',' . $userid . ',' . $_SERVER['REMOTE_USER'] . ',' . $assn;
exec( 'echo ' . '"' . $entry . '" >> /u/' . $course . '/course/SolutionsRequestLog.txt' );

?>
