#!/usr/bin/env php-cgi
<?php
echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
      <title>CS 115 Download Solutions</title>
      <?php include('/u/cs115ae/public_html/standard_style.shtml'); ?>
   </head>
   <body>
	<h1>CS 115: Introduction to Computer Science 1, UAE edition</h1>
<!-- This probably shouldn't be done as a table -->
<table id="main">
   <tr>
      <td id="nav-box" valign="top">
         <?php include('/u/cs115ae/public_html/toc.shtml'); ?>
      </td>
      <td id="main-box">
<h2 class="title">Download Solutions</h2>
<p>Please do not give these solutions to students in future terms. By clicking on one of the links below, you agree to the following statements:</p>

<ul>
<li>My Quest ID is <code><?php echo $_SERVER['REMOTE_USER']; ?></code>.</li>
<li>I am a student in CS 115 UAE in the Fall 2011 term.</li>
<li>I will not share these files with anyone else, and I will delete all my
copies of them at the end of the Fall 2011 term. It is my responsibility
to ensure that no one else has access to these files.</li>
</ul>

<p><i>Note:</i> Links lead to PNG images.</p>

<b>Midterm</b>
<ul>
<li><a href="generateWatermark.php?assn=mid1">Question 1</a> (~100KB)</li>
<li><a href="generateWatermark.php?assn=mid23">Questions 2 and 3</a> (~120KB)</li>
<li><a href="generateWatermark.php?assn=mid45">Questions 4 and 5</a> (~150KB)</li>
<li><a href="generateWatermark.php?assn=mid678">Questions 6, 7 and 8</a> (~150KB)</li>
</ul>

<hr/>

<p><b><a href="generateWatermark.php?assn=a0solns">Assignment 0 Solutions</a></b> (~300KB)</p>

<b>Assignment 1</b>
<ul>
<li><a href="generateWatermark.php?assn=a1q1">Question 1</a> (~100KB)</li>
<li><a href="generateWatermark.php?assn=a1q2">Question 2</a> (~150KB)</li>
<li><a href="generateWatermark.php?assn=a1q3">Question 3</a> (~100KB)</li>
<li><a href="generateWatermark.php?assn=a1q4">Question 4</a> (~150KB)</li>
</ul>

<b>Assignment 2</b>
<ul>
<li><a href="generateWatermark.php?assn=a2q1">Question 1</a> (~100KB)</li>
<li><a href="generateWatermark.php?assn=a2q2">Question 2</a> (~100KB)</li>
<li><a href="generateWatermark.php?assn=a2q3">Question 3</a> (~350KB)</li>
<li><a href="generateWatermark.php?assn=a2q4">Question 4</a> (~450KB)</li>
</ul>

<b>Assignment 3</b>
<ul>
<li><a href="generateWatermark.php?assn=a3q1">Question 1</a> (~300KB)</li>
<li><a href="generateWatermark.php?assn=a3q2">Question 2</a> (~150KB)</li>
<li><a href="generateWatermark.php?assn=a3q3">Question 3</a> (~350KB)</li>
<li><a href="generateWatermark.php?assn=a3q4">Question 4</a> (~300KB)</li>
</ul>

<b>Assignment 4</b>
<ul>
<li><a href="generateWatermark.php?assn=a4q1">Question 1</a> (~150KB)</li>
<li><a href="generateWatermark.php?assn=a4q2">Question 2</a> (~250KB)</li>
<li><a href="generateWatermark.php?assn=a4q3">Question 3</a> (~200KB)</li>
<li><a href="generateWatermark.php?assn=a4q4">Question 4</a> (~200KB)</li>
</ul>

<b>Assignment 5</b>
<ul>
<li><a href="generateWatermark.php?assn=a5q1">Question 1</a> (~300KB)</li>
<li><a href="generateWatermark.php?assn=a5q2">Question 2</a> (~250KB)</li>
<li><a href="generateWatermark.php?assn=a5q3">Question 3</a> (~150KB)</li>
<li><a href="generateWatermark.php?assn=a5q4">Question 4</a> (~350KB)</li>
</ul>

<b>Assignment 6</b>
<ul>
<li><a href="generateWatermark.php?assn=a6q1">Question 1</a> (~100KB)</li>
<li><a href="generateWatermark.php?assn=a6q2">Question 2</a> (~260KB)</li>
<li><a href="generateWatermark.php?assn=a6q3">Question 3</a> (~530KB)</li>
<li><a href="generateWatermark.php?assn=a6q4">Question 4</a> (~180KB)</li>
</ul>

<b>Assignment 7</b>
<ul>
<li><a href="generateWatermark.php?assn=a7q1">Question 1</a> (~150KB)</li>
<li><a href="generateWatermark.php?assn=a7q2">Question 2</a> (~200KB)</li>
<li><a href="generateWatermark.php?assn=a7q3">Question 3</a> (~150KB)</li>
<li><a href="generateWatermark.php?assn=a7q4">Question 4</a> (~250KB)</li>
</ul>

<b>Assignment 8</b>
<ul>
<li><a href="generateWatermark.php?assn=a8q1">Question 1</a> (~200KB)</li>
<li><a href="generateWatermark.php?assn=a8q2">Question 2</a> (~600KB)</li>
<li><a href="generateWatermark.php?assn=a8q3">Question 3</a> (~160KB)</li>
<li><a href="generateWatermark.php?assn=a8q4">Question 4</a> (~400KB)</li>
</ul>

<b>Assignment 9</b>
<ul>
<li><a href="generateWatermark.php?assn=a9q1">Question 1</a> (~250KB)</li>
<li><a href="generateWatermark.php?assn=a9q2">Question 2</a> (~250KB)</li>
<li><a href="generateWatermark.php?assn=a9q3">Question 3</a> (~250KB)</li>
<li><a href="generateWatermark.php?assn=a9q4">Question 4</a> (~100KB)</li>
</ul>


</td>
</tr>
</table>
<div class="validator">
<!-- If this is IE, display this link -->
<!--[if lt IE 8]>
<a href="http://code.google.com/p/ie7-js/">
   <img style="border:0;width:88px"
   src="http://ie7-js.googlecode.com/svn/version/ie7.gif"
   alt="IE7 library used" />
</a>
<![endif]-->
<a href="http://validator.w3.org/check?uri=referer">
   <img style="border:0;width:88px;height:31px;"
   src="http://www.w3.org/Icons/valid-xhtml10-blue"
   alt="Valid XHTML 1.0 Strict" />
</a>
<a href="http://jigsaw.w3.org/css-validator/check?uri=referer">
   <img style="border:0;width:88px;height:31px;"
   src="http://jigsaw.w3.org/css-validator/images/vcss-blue"
   alt="Valid CSS!" />
</a>
</div>


<p class="lastModified">
Last modified on
<?php echo date("l, j F Y, \a\\t G:i", getlastmod());
	  echo " hours."
?>
</p>

<p class="lastModified"> Course Supported by <a href="http://www.student.cs.uwaterloo.ca/~isg/">Instructional
Support Group</a></p>
   </body>
</html>
