#!/bin/bash

course=`whoami`
start_location=`pwd`

# set up files in public_html
mv -i SolnsWatermark /u/$course/public_html/
cd /u/$course/public_html/
chmod 751 SolnsWatermark
cd SolnsWatermark/
chmod 744 .htaccess
chmod 700 *.php

# set up folders for fonts, watermark background, and solution images
cd $start_location
mv -i SolutionsRequest /u/$course/
cd /u/$course/
chmod 700 SolutionsRequest
cd SolutionsRequest/
chmod 600 *

# create log file
mkdir -p /u/$course/course
cd /u/$course/course/
echo "Format: Time, Watermark Text, Quest ID, Assignment No." >> SolutionsRequestLog.txt
echo >> SolutionsRequestLog.txt

# create .exceptions file
touch /u/$course/.exceptions
